#
# spec file for package python-speaklater
#
# Copyright (c) 2014 Dr. Axel Braun
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%define metaname speaklater

Name:           python-%{metaname}
# List of additional build dependencies
BuildRequires:  python-devel 
BuildRequires:	python-setuptools 
BuildRequires:  python-gtk 
BuildRequires:	python-Sphinx
BuildRequires:	python-simplejson 
#BuildRequires:	python-rsvg
BuildRequires:  fdupes
Version:        1.3
Release:        2.1
License:        GPL-3.0+
Url:            https://pypi.python.org/pypi/%{metaname}
Source:         https://pypi.python.org/packages/source/s/%{metaname}/%{metaname}-%{version}.tar.gz
Group:          Development/Languages/Python
Summary:        implements a lazy string for python useful for use with gettext
Requires:       gettext-runtime
BuildRoot:      %{_tmppath}/%{metaname}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif  

%description
implements a lazy string for python useful for use with gettext

%prep
%setup -q -n %{metaname}-%version

%build
python setup.py build
    
%install
python setup.py install --prefix=%_prefix --root=%buildroot 

%files 
%defattr(-,root,root)
%{python_sitelib}/*
%changelog
* Thu Oct 23 2014 axel.braun@gmx.de
- initial OBS build
